vlog -reportprogress 300 -work work {/work/designs/v2/xapp229_wide_ram/verilog_source/ramb16_s144.v}
vlog -reportprogress 300 -work work {/work/designs/v2/xapp229_wide_ram/verilog_source/top_v2_sp.v}
vlog -reportprogress 300 -work work {/work/designs/v2/xapp229_wide_ram/verilog_source/sim_verilog/tb_top_v2_sp.v}
vlog -reportprogress 300 -work work {/work/designs/v2/xapp229_wide_ram/verilog_source/sim_verilog/glbl.v}
vsim -t pS -L unisims_ver tb_top_v2_sp glbl

add wave /tb_top_v2_sp/chip/rstin
add wave /tb_top_v2_sp/chip/locked
add wave /tb_top_v2_sp/chip/rst
add wave /tb_top_v2_sp/chip/ram0/clk
add wave /tb_top_v2_sp/chip/ram0/clkx2
add wave /tb_top_v2_sp/chip/ram0/mux

add wave -noupdate -divider {New Divider}

add wave -hexadecimal /tb_top_v2_sp/chip/addr
add wave -hexadecimal /tb_top_v2_sp/chip/di
add wave -hexadecimal /tb_top_v2_sp/chip/we
add wave -hexadecimal /tb_top_v2_sp/chip/ram0/mux
add wave -hexadecimal /tb_top_v2_sp/chip/ram0/addr_muxa
add wave -hexadecimal /tb_top_v2_sp/chip/ram0/data_muxa
add wave -hexadecimal /tb_top_v2_sp/chip/ram0/dip
add wave -hexadecimal /tb_top_v2_sp/chip/ram0/par_muxb
add wave -hexadecimal /tb_top_v2_sp/chip/counta
add wave -hexadecimal /tb_top_v2_sp/chip/read_addr
add wave -hexadecimal /tb_top_v2_sp/chip/write_addr
add wave -hexadecimal /tb_top_v2_sp/chip/ram0/addr_muxb
add wave -hexadecimal /tb_top_v2_sp/chip/ram0/data_muxb
add wave -hexadecimal /tb_top_v2_sp/chip/ram0/doa_int
add wave -hexadecimal /tb_top_v2_sp/chip/ram0/dopa_int
add wave -hexadecimal /tb_top_v2_sp/chip/ram0/dob_int
add wave -hexadecimal /tb_top_v2_sp/chip/ram0/dopb_int
add wave -hexadecimal /tb_top_v2_sp/chip/ram0/do
add wave -hexadecimal /tb_top_v2_sp/chip/oldb
add wave -hexadecimal /tb_top_v2_sp/chip/matchab
add wave -hexadecimal /tb_top_v2_sp/chip/match

run 8uS

